Skip to main content
GET
https://aihubmix.com
/
api
/
user
/
self
Current User Info
curl --request GET \
  --url https://aihubmix.com/api/user/self \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "username": "your_name",
    "display_name": "your_name",
    "role": 1,
    "status": 1,
    "email": "you@example.com",
    "quota": 29071257,
    "used_quota": 286403484,
    "request_count": 614422,
    "group": "default",
    "aff_code": "XXXX",
    "notify": true,
    "quota_remind_threshold": 10000000,
    "notify_email": "you@example.com",
    "ext": ""
  },
  "message": "",
  "success": true
}
This endpoint is used to query the basic information and balance of the currently logged-in user.

Request Parameters

Request Headers (headers)

Authentication for the request. This API uses the AIHubMix Manage Key for authentication.
Content type of the request. This parameter must be set to application/json.

Response Parameters

data
object
User information object, including basic profile, balance quota, and alert settings.
username
string
Username.
display_name
string
User display name.
role
integer
User role identifier (a higher value means higher privileges, e.g. administrator).
status
integer
Account status (1 means normal).
email
string
Email.
quota
integer
Account balance; the actual amount (USD) is: quota / 500000.
used_quota
integer
Used quota; the actual amount (USD) is: used_quota / 500000.
request_count
integer
Total number of requests.
group
string
Account group.
aff_code
string
Invitation code.
notify
boolean
Whether to receive low balance alerts.
quota_remind_threshold
integer
Receive email alerts when balance falls below quota_remind_threshold / 500000.
notify_email
string
Email address that receives alerts.
ext
string
Extension field (reserved, usually an empty string).
message
string
Detailed information on request failure. This parameter will not be returned if the request is successful.
success
boolean
Indicates success.
{
  "data": {
    "username": "your_name",
    "display_name": "your_name",
    "role": 1,
    "status": 1,
    "email": "you@example.com",
    "quota": 29071257,
    "used_quota": 286403484,
    "request_count": 614422,
    "group": "default",
    "aff_code": "XXXX",
    "notify": true,
    "quota_remind_threshold": 10000000,
    "notify_email": "you@example.com",
    "ext": ""
  },
  "message": "",
  "success": true
}

Last updated: 2026-06-26